> For the complete documentation index, see [llms.txt](https://docs.verifyme.ng/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifyme.ng/identity-verifications/corporate-affairs-commission.md).

# Corporate Affairs Commission

{% hint style="info" %}
Please note that when using your test key, Our test persona is **John Doe,** the company name is "Test Company" and the CAC number is 11000011
{% endhint %}

## Verify CAC

<mark style="color:green;">`POST`</mark> `https://vapi.verifyme.ng/v1/verifications/identities/cac`

#### Headers

| Name          | Type   | Description                         |
| ------------- | ------ | ----------------------------------- |
| Authorization | string | Authorization Header - Bearer Token |

#### Request Body

| Name     | Type   | Description                                                                                                                                                                                                  |
| -------- | ------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| type     | string | <p>Valid company type ranges that we verify:<br>1. limited\_company: Registered as limited company or<br>2. business: Registered as business or<br>3. incorprated\_trustee: Registered as trust company.</p> |
| rcNumber | string | Company registration number                                                                                                                                                                                  |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": "success",
    "data": {
        "rcNumber": 11000011,
        "companyName": "Test Company",
        "companyType": "PRIVATE_COMPANY_LIMITED_BY_SHARES",
        "registrationDate": "2017-04-17T13:33:22.770+00:00",
        "branchAddress": "Test Company Address",
        "companyEmail": "johndoe@companymail.com",
        "city": "oshodi",
        "classification": "Company | Business | Trustee",
        "headOfficeAddress": "Test Company Head Office Address",
        "lga": "oshodi",
        "affiliates": 2,
        "shareCapital": "1000000",
        "shareCapitalInWords": "ONE MILLION NAIRA ONLY",
        "state": "Lagos",
        "status": "ACTIVE | INACTIVE"
    }
}
```

{% endtab %}

{% tab title="400 Invalid company type Error" %}

```
{
    "statusCode": 400,
    "error": "Bad Request",
    "message": [
        {
            "target": {
                "rcNumber": 11000011,
                "type": "limited_co"
            },
            "value": "limited_co",
            "property": "type",
            "children": [],
            "constraints": {
                "matches": "Invalid company type. Refer to documentation for acceptable formats"
            }
        }
    ]
}
```

{% endtab %}

{% tab title="404 Company with provided CAC not found" %}

```
{
    "statusCode": 404,
    "error": "Not Found",
    "message": "Company with provided CAC details not found"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.verifyme.ng/identity-verifications/corporate-affairs-commission.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
